summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJack Lucas <jflucas@research.att.com>2017-10-15 18:27:58 +0000
committerJack Lucas <jflucas@research.att.com>2017-10-15 18:28:41 +0000
commit92e9cafbeeda9c482ad39cbd71abc60b9cac17ab (patch)
tree9fb6b6499f059444c4bd211526a3871ec89087af
parenta3ff376fe84dbd3581449f83a52fc4c9abec8e81 (diff)
Add teardown script
Change-Id: I0ea4d24b67b3b2f5b8f8a9fceb84b0bfd7ec7c23 Issue-Id: DCAEGEN2-159 Signed-off-by: Jack Lucas <jflucas@research.att.com>
-rwxr-xr-xbootstrap/teardown.sh39
1 files changed, 39 insertions, 0 deletions
diff --git a/bootstrap/teardown.sh b/bootstrap/teardown.sh
new file mode 100755
index 0000000..47508d1
--- /dev/null
+++ b/bootstrap/teardown.sh
@@ -0,0 +1,39 @@
+#!/bin/bash
+#
+# ============LICENSE_START==========================================
+# ===================================================================
+# Copyright © 2017 AT&T Intellectual Property. All rights reserved.
+# ===================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied
+# See the License for the specific language governing permissions and
+# limitations under the License.
+# ============LICENSE_END============================================
+#
+# ECOMP and OpenECOMP are trademarks
+# and service marks of AT&T Intellectual Property.
+#
+set -x
+set -e
+source ./dcaeinstall/bin/activate
+cd ./consul
+cfy status
+set +e
+cfy uninstall -d policy_handler
+cfy uninstall -d DeploymentHandler
+cfy uninstall -d PlatformServicesInventory
+cfy uninstall -d config_binding_service
+cfy executions start -w uninstall -d DockerComponent
+cfy deployments delete -d DockerComponent
+cfy uninstall -d DockerPlatform
+cfy uninstall -d consul
+cd ..
+cfy local uninstall
+